Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.sql
Class DataSet

    java.lang.Object
      groovy.sql.Sql
          groovy.sql.DataSet

    public class DataSet

extends Sql

Represents an extent of objects

Version:
  $Revision: 10922 $
Author:
  Chris Stevenson, Paul King, James Strachan

Field Summary

Fields inherited from class groovy.sql.Sql
`ARRAY, BIGINT, BINARY, BIT, BLOB, BOOLEAN, CHAR, CLOB, DATALINK, DATE, DECIMAL, DISTINCT, DOUBLE, FLOAT, INTEGER, JAVA_OBJECT, log, LONGVARBINARY, LONGVARCHAR, NULL, NUMERIC, OTHER, REAL, REF, SMALLINT, STRUCT, TIME, TIMESTAMP, TINYINT, VARBINARY, VARCHAR`

Constructor Summary
`DataSet(Sql sql, Class type)`
`DataSet(Sql sql, String table)`

Method Summary
`void` | `add(Map values)`
`DataSet` | `createView(Closure criteria)`
`void` | `each(Closure closure)`
`DataSet` | `findAll(Closure where)`
`Object` | `firstRow()` Returns the first row from a DataSet's underlying table
`List` | `getParameters()`
`String` | `getSql()`
`protected SqlOrderByVisitor` | `getSqlOrderByVisitor()`
`protected SqlWhereVisitor` | `getSqlWhereVisitor()`
`DataSet` | `reverse()`
`List` | `rows()` Returns a List of all of the rows from the table a DataSet represents
`DataSet` | `sort(Closure sort)`

Methods inherited from class groovy.sql.Sql
`ARRAY, asSql, BIGINT, BINARY, BIT, BLOB, BOOLEAN, call, call, call, call, call, CHAR, CLOB, close, closeResources, closeResources, commit, configure, createConnection, DATALINK, dataSet, dataSet, DATE, DECIMAL, DISTINCT, DOUBLE, eachRow, eachRow, eachRow, eachRow, execute, execute, execute, executeInsert, executeInsert, executeInsert, executeUpdate, executeUpdate, executeUpdate, expand, findWhereKeyword, firstRow, firstRow, firstRow, FLOAT, getConnection, getDataSource, getParameters, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, in, inout, INTEGER, JAVA_OBJECT, loadDriver, LONGVARBINARY, LONGVARCHAR, newInstance, newInstance, newInstance, newInstance, newInstance, newInstance, NULL, nullify, NUMERIC, OTHER, out, query, query, query, queryEach, queryEach, queryEach, REAL, REF, resultSet, rollback, rows, rows, rows, rows, setObject, setParameters, setResultSetConcurrency, setResultSetHoldability, setResultSetType, SMALLINT, STRUCT, TIME, TIMESTAMP, TINYINT, VARBINARY, VARCHAR, withStatement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataSet

    public DataSet(Sql sql,
                   Class type)

### DataSet

    public DataSet(Sql sql,
                   String table)

Method Detail

### add

    public void add(Map values)
             throws SQLException

  Throws:
    `SQLException`

### findAll

    public DataSet findAll(Closure where)

### sort

    public DataSet sort(Closure sort)

### reverse

    public DataSet reverse()

### each

    public void each(Closure closure)
              throws SQLException

  Throws:
    `SQLException`

### getSql

    public String getSql()

### getParameters

    public List getParameters()

### getSqlWhereVisitor

    protected SqlWhereVisitor getSqlWhereVisitor()

### getSqlOrderByVisitor

    protected SqlOrderByVisitor getSqlOrderByVisitor()

### createView

    public DataSet createView(Closure criteria)

### rows

    public List rows()
              throws SQLException

  Returns a List of all of the rows from the table a DataSet represents

  Returns:
    Returns a list of GroovyRowResult objects from the dataset
  Throws:
    `SQLException` - if a database error occurs

### firstRow

    public Object firstRow()
                    throws SQLException

  Returns the first row from a DataSet's underlying table

  Returns:
    Returns the first GroovyRowResult object from the dataset
  Throws:
    `SQLException` - if a database error occurs

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD